package spaceObject.spaceShip;

import java.io.FileNotFoundException;
import javafx.geometry.Point2D;
import javafx.scene.Group;

public class MediumEnemy extends Enemy {

	public MediumEnemy(Group group) throws FileNotFoundException {
		super(group,
				"C:\\Users\\karlz\\Documents\\Eclipse\\SpaceShooter\\src\\main\\resources\\pictures\\spaceShip\\Medium Enemy.png",
				140, 120, 1.4, 2, 2);

		setMaxYPosition(300);
		setSpeed(300);
	}

	@Override
	public void specialAbility() {
		shoot(new Point2D(-1, 0));
		shoot(new Point2D(1, 0));
		shoot(new Point2D(0, -1));
	}
}
